package com.bitnix.dirtcryptostore.model;

public class BlockchainPaymentMatch {

    private final boolean found;
    private final String txid;
    private final int confirmations;
    private final int blockHeight;

    public BlockchainPaymentMatch(boolean found, String txid, int confirmations, int blockHeight) {
        this.found = found;
        this.txid = txid;
        this.confirmations = confirmations;
        this.blockHeight = blockHeight;
    }

    public boolean isFound() {
        return found;
    }

    public String getTxid() {
        return txid;
    }

    public int getConfirmations() {
        return confirmations;
    }

    public int getBlockHeight() {
        return blockHeight;
    }
}
